package org.F11.scada.tool.point.name;

import java.io.Serializable;

/**
 * ポイント名称変更のDtoです。
 * 
 * @author maekawa
 */
public class PointNameBean implements Serializable {
	private static final long serialVersionUID = -1405907651554660297L;
	public static final String TABLE = "point_table";
	public static final String used_COLUMN = "used";

	private int point;
	private String unit;
	private String name;
	private String unit_mark;
	private boolean used;
	private String attribute1;
	private String attribute2;
	private String attribute3;
	private boolean unit_flag;
	private boolean name_flag;
	private boolean unit_mark_flag;
	private boolean attribute1_flag;
	private boolean attribute2_flag;
	private boolean attribute3_flag;

	public String getName() {
		return name;
	}

	public int getPoint() {
		return point;
	}

	public String getUnit() {
		return unit;
	}

	public String getUnit_mark() {
		return unit_mark;
	}

	public boolean isUsed() {
		return used;
	}

	public void setName(String string) {
		name = string;
	}

	public void setPoint(int i) {
		point = i;
	}

	public void setUnit(String string) {
		unit = string;
	}

	public void setUnit_mark(String string) {
		unit_mark = string;
	}

	public void setUsed(boolean used) {
		this.used = used;
	}

	public String getAttribute1() {
		return attribute1;
	}

	public void setAttribute1(String attribute1) {
		this.attribute1 = attribute1;
	}

	public String getAttribute2() {
		return attribute2;
	}

	public void setAttribute2(String attribute2) {
		this.attribute2 = attribute2;
	}

	public String getAttribute3() {
		return attribute3;
	}

	public void setAttribute3(String attribute3) {
		this.attribute3 = attribute3;
	}

	public boolean isUnit_flag() {
		return unit_flag;
	}

	public void setUnit_flag(boolean unit_flag) {
		this.unit_flag = unit_flag;
	}

	public boolean isName_flag() {
		return name_flag;
	}

	public void setName_flag(boolean name_flag) {
		this.name_flag = name_flag;
	}

	public boolean isUnit_mark_flag() {
		return unit_mark_flag;
	}

	public void setUnit_mark_flag(boolean unit_mark_flag) {
		this.unit_mark_flag = unit_mark_flag;
	}

	public boolean isAttribute1_flag() {
		return attribute1_flag;
	}

	public void setAttribute1_flag(boolean attribute1_flag) {
		this.attribute1_flag = attribute1_flag;
	}

	public boolean isAttribute2_flag() {
		return attribute2_flag;
	}

	public void setAttribute2_flag(boolean attribute2_flag) {
		this.attribute2_flag = attribute2_flag;
	}

	public boolean isAttribute3_flag() {
		return attribute3_flag;
	}

	public void setAttribute3_flag(boolean attribute3_flag) {
		this.attribute3_flag = attribute3_flag;
	}

	public String toString() {
		return "["
			+ point
			+ ", "
			+ unit
			+ ", "
			+ name
			+ ", "
			+ unit_mark
			+ ", "
			+ used
			+ ","
			+ attribute1
			+ ","
			+ attribute2
			+ ","
			+ attribute3
			+ ","
			+ attribute3_flag
			+ ","
			+ unit_flag
			+ ","
			+ name_flag
			+ ","
			+ unit_mark_flag
			+ ","
			+ attribute1_flag
			+ ","
			+ attribute2_flag
			+ ","
			+ attribute3_flag
			+ "]";
	}
}
